Subject: [Rfced-future] Issue 32: Do we need to update any stream boiler plate? And Issue 81

From: Eliot Lear <[email-masked]>
Date: Mon, 20 Sep 2021 10:41:56 +0200

I think we have determined the answer to whether boiler plate needs to 
be updated is "yes", and that it is specifically the Editorial Stream 
boilier plate that we need to address.  Barring someone actually 
providing an example of other text that needs updating, I am going to 
close issue and open up a new one for that.  We also need at least some 
text in the document, I think, as to who owns boiler plate (Issue 81).  
I think that is the streams, but I think we should document that.  Or 
someone should tell me I'm wrong.

Eliot

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 20 Sep 2021 09:49:07 +0100

Hi Eliot,

Forward movement: thanks.

> who owns boiler plate (Issue 81).  
> I think that is the streams, but I think we should document that.

If you mean "the streams" as a collective, then fine.
If you mean each individual stream owns its boilerplate, then no, because you wouldn't want one stream putting in its boilerplate something that somehow devalues another stream.

Although each individual piece of boilerplate text is standalone, all of the pieces of boilerplate form part of a whole.

Cheers,
Adrian

-----Original Message-----
From: Rfced-future <[email-masked]> On Behalf Of Eliot Lear
Sent: 20 September 2021 09:42
To: [email-masked]
Subject: [Rfced-future] Issue 32: Do we need to update any stream boiler plate? And Issue 81

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Sep 2021 10:49:23 +1200

> Although each individual piece of boilerplate text is standalone, all of the pieces of boilerplate form part of a whole.

Logically, therefore, future updates of the boilerplate (i.e., updates of RFC7841) should follow the RSWG/RSAB process. Fortunately, I don't think an update of RFC7841 is needed, but IMHO we do need an Appendix that acts as Appendix A of RFC7841 but for the Editorial stream. The gist of it:

Stream: Editorial

Category: Informational

This document is not an Internet Standards Track specification; it is published for informational purposes.

This document is a product of the RFC Series Editorial Policy process. It represents the consensus of the RFC Series Working Group approved by the RFC Series Approval Board. Such documents are not candidates for any level of Internet Standard; see Section 2 of RFC 7841.

Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfcXXXX.

Regards
   Brian C

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 20 Sep 2021 17:32:48 -0600

On 9/20/21 4:49 PM, Brian E Carpenter wrote:
> This document is a product of the RFC Series Editorial Policy 

Following the (current) title of draft-iab-rfcefdp-rfced-model, I'd call
it the "RFC Series Policy Definition process".

> process. It represents the consensus of the RFC Series Working Group approved by the RFC Series Approval Board. 

We can't quite say that of draft-iab-rfcefdp-rfced-model, though, can
we? Bootstrapping is hard. :-)

> Such documents are not candidates for any level of Internet Standard; see Section 2 of RFC 7841.
> 

LGTM.

Peter

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Sep 2021 13:43:46 +1200

> it the "RFC Series Policy Definition process".

Sure, we need to be consistent.

> we? Bootstrapping is hard. :-)

I agree. We'll need the IAB's assent so it may need to use IAB boilerplate (with an explanation why?).

   Brian

---

From: Eliot Lear <[email-masked]>
Date: Tue, 21 Sep 2021 08:18:18 +0200

Ok, as you and Brian pointed out, what we are now saying is that the 
RSWG/RSAB owns boiler plate.  Is that correct?  If so, this needs to be 
clearly stated in the document.

Eliot

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 21 Sep 2021 10:46:28 +0100

> clearly stated in the document.

Seems right.

A

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 21 Sep 2021 09:41:19 -0600

On 9/20/21 7:43 PM, Brian E Carpenter wrote:
>>> It represents the consensus of the RFC Series Working Group approved by the RFC Series Approval Board. 
>>

I propose that we include the following text in the section about how
this document updates RFC 7841:

  NOTE TO RFC EDITOR: Because this document (if approved) will be the
  first RFC in the Editorial Series, please apply the changes in this
  section to its boilerplate if directed to do so by the IAB.

  This document specifies the following text for the "Status of This
  Memo" section of RFCs published in the Editorial Stream. Any changes
  to this boilerplate must be made through the RFC Series Policy
  Definition process specified in this document.

Peter

---

From: Eliot Lear <[email-masked]>
Date: Sat, 25 Sep 2021 09:06:27 +0200

I propose that we close issue 32, with the understanding that text 
reflecting the below will be added to -04.  Please comment by the 9th of 
October.

Eliot